Package com.collibra.dgc.core.api.dto.instance.asset

# Class FindAssetsRequest

Object
PagedRequest
CursorPagedRequest
FindAssetsRequest

All Implemented Interfaces:
  `Serializable`

public class FindAssetsRequest extends CursorPagedRequest
The search criteria for assets.

Only parameters that are specified in this request and have not `null` values are used for filtering. All other parameters are ignored.

The returned assets satisfy all constraints that are specified in this search criteria.

By default a result containing 1000 assets is returned.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindAssetsRequest.Builder`
  `static enum`
  `FindAssetsRequest.SortField`

- ## Field Summary

  ### Fields inherited from class PagedRequest

  `countLimit, limit, offset`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindAssetsRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindAssetsRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getCommunityId()`
  The ID of the community to find the assets in.
  `UUID`
  `getDomainId()`
  The ID of the domain to find the assets in.
  `String`
  `getName()`
  The name of the asset to search for (either display name or full name).
  `MatchMode`
  `getNameMatchMode()`
  The match mode used to compare `name`.
  `FindAssetsRequest.SortField`
  `getSortField()`
  The field on which the results are sorted.
  `SortOrder`
  `getSortOrder()`
  The sorting order.
  `List<UUID>`
  `getStatusId()`
  Deprecated.
  use statusIds instead
  `List<UUID>`
  `getStatusIds()`
  The list of IDs of the statuses.
  `List<String>`
  `getTagNames()`
  The list of names of tags.
  `List<UUID>`
  `getTypeId()`
  Deprecated.
  typeId has been deprecated, please use typeIds instead.
  `List<UUID>`
  `getTypeIds()`
  The list of IDs of the asset types.
  `List<String>`
  `getTypePublicIds()`
  The list of IDs of the asset types.
  `int`
  `hashCode()`
  `boolean`
  `isExcludeMeta()`
  The exclude meta flag.
  `boolean`
  `isTypeInheritance()`
  Whether the type inheritance for the asset type filtering should be applied or not.
  `void`
  `setCommunityId(UUID communityId)`
  The ID of the community to find the assets in.
  `void`
  `setDomainId(UUID domainId)`
  The ID of the domain to find the assets in.
  `void`
  `setExcludeMeta(boolean excludeMeta)`
  The exclude meta flag.
  `void`
  `setName(String name)`
  The name of the asset to search for (either display name or full name).
  `void`
  `setNameMatchMode(MatchMode nameMatchMode)`
  The match mode used to compare `name`.
  `void`
  `setSortField(FindAssetsRequest.SortField sortField)`
  The field on which the results are sorted.
  `void`
  `setSortOrder(SortOrder sortOrder)`
  The sorting order.
  `void`
  `setStatusId(List<UUID> statusId)`
  Deprecated.
  use statusIds instead
  `void`
  `setStatusIds(List<UUID> statusIds)`
  The list of IDs of the statuses.
  `void`
  `setTagNames(List<String> tagNames)`
  The list of names of tags.
  `void`
  `setTypeId(List<UUID> typeId)`
  Deprecated.
  typeId has been deprecated, please use typeIds instead.
  `void`
  `setTypeIds(List<UUID> typeIds)`
  The list of IDs of the asset types.
  `void`
  `setTypeInheritance(boolean typeInheritance)`
  Whether the type inheritance for the asset type filtering should be applied or not.
  `void`
  `setTypePublicIds(List<String> typePublicIds)`
  The list of IDs of the asset types.
  `String`
  `toString()`

  ### Methods inherited from class CursorPagedRequest

  `getCountLimit, getCursor, getOffset, setCountLimit, setCursor, setOffset`

  ### Methods inherited from class PagedRequest

  `getLimit, isPagingActive, setLimit`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindAssetsRequest

    public FindAssetsRequest()

- ## Method Details

  - ### builder

    public static FindAssetsRequest.Builder builder()

  - ### getName

    public String getName()
    The name of the asset to search for (either display name or full name).

  - ### getNameMatchMode

    public MatchMode getNameMatchMode()
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. Defaults to `ANYWHERE`.

  - ### getDomainId

    public UUID getDomainId()
    The ID of the domain to find the assets in.

  - ### getCommunityId

    public UUID getCommunityId()
    The ID of the community to find the assets in.

  - ### getTypeIds

    public List<UUID> getTypeIds()
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

  - ### getTypePublicIds

    public List<String> getTypePublicIds()
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

  - ### getTypeId

    @Deprecated public List<UUID> getTypeId()
    Deprecated.
    typeId has been deprecated, please use typeIds instead.
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

  - ### getStatusIds

    public List<UUID> getStatusIds()
    The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.

  - ### getStatusId

    @Deprecated public List<UUID> getStatusId()
    Deprecated.
    use statusIds instead
    The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.

  - ### getTagNames

    public List<String> getTagNames()
    The list of names of tags. The returned assets have one of tags with names specified by this parameter.

  - ### isTypeInheritance

    public boolean isTypeInheritance()
    Whether the type inheritance for the asset type filtering should be applied or not. Defaults to `true`.

  - ### isExcludeMeta

    public boolean isExcludeMeta()
    The exclude meta flag. If this is set to true then the assets from meta domains will not be returned (meta domains are the domains which were not created by the user manually). Defaults to `true`.

  - ### getSortField

    public FindAssetsRequest.SortField getSortField()
    The field on which the results are sorted. Defaults to `NAME`.

  - ### getSortOrder

    public SortOrder getSortOrder()
    The sorting order. Defaults to `ASC` (ascending).

  - ### setName

    public void setName(String name)
    The name of the asset to search for (either display name or full name).

  - ### setNameMatchMode

    public void setNameMatchMode(MatchMode nameMatchMode)
    The match mode used to compare `name`. If the match mode is `EXACT` the search is case-sensitive, otherwise the search is case-insensitive. Defaults to `ANYWHERE`.

  - ### setDomainId

    public void setDomainId(UUID domainId)
    The ID of the domain to find the assets in.

  - ### setCommunityId

    public void setCommunityId(UUID communityId)
    The ID of the community to find the assets in.

  - ### setTypeIds

    public void setTypeIds(List<UUID> typeIds)
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

  - ### setTypePublicIds

    public void setTypePublicIds(List<String> typePublicIds)
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

  - ### setTypeId

    @Deprecated public void setTypeId(List<UUID> typeId)
    Deprecated.
    typeId has been deprecated, please use typeIds instead.
    The list of IDs of the asset types. The returned assets are of one of types specified by this parameter.

  - ### setStatusIds

    public void setStatusIds(List<UUID> statusIds)
    The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.

  - ### setStatusId

    @Deprecated public void setStatusId(List<UUID> statusId)
    Deprecated.
    use statusIds instead
    The list of IDs of the statuses. The returned assets have one of statuses specified by this parameter.

  - ### setTagNames

    public void setTagNames(List<String> tagNames)
    The list of names of tags. The returned assets have one of tags with names specified by this parameter.

  - ### setTypeInheritance

    public void setTypeInheritance(boolean typeInheritance)
    Whether the type inheritance for the asset type filtering should be applied or not. Defaults to `true`.

  - ### setExcludeMeta

    public void setExcludeMeta(boolean excludeMeta)
    The exclude meta flag. If this is set to true then the assets from meta domains will not be returned (meta domains are the domains which were not created by the user manually). Defaults to `true`.

  - ### setSortField

    public void setSortField(FindAssetsRequest.SortField sortField)
    The field on which the results are sorted. Defaults to `NAME`.

  - ### setSortOrder

    public void setSortOrder(SortOrder sortOrder)
    The sorting order. Defaults to `ASC` (ascending).

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `CursorPagedRequest`

  - ### canEqual

    protected boolean canEqual(Object other)
    Overrides:
      `canEqual` in class `CursorPagedRequest`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `CursorPagedRequest`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `CursorPagedRequest`